/*#todo_app {
    height: 500px;
    width: 300px;
    margin-left: 500px;
    background-color: #fafafa;
    border-radius: 2mm;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
    overflow-y: auto;
}
*/
#todo_app {
    background-color: #fff;
    width: 300px;
    height: 500px;
    border: 5px solid #abcea1;
    border-radius: 8px;
    padding: 15px;
    overflow-y: scroll;
  }

#todo_app::-webkit-scrollbar {
    width: 0 !important;
  }

#todo {
    
   
   
    text-justify: kashida;
    display: grid;
   
}

#addtask {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(171, 206, 161, 0.35);
    padding: 5px 10px;
    border-radius: 5px;
}

h1, h2{
    text-align: center;

}

#addBtn {
    padding: 0px 0px !important;
    max-width: 100%;
    display: block !important;
    background: #abcea1;
    color: #fafafa;
    border-radius: 2mm;
    cursor: pointer;
    height: 40px;
    width: 40px;
}

#addTaskBtn  {
    padding: 0 !important;
    border: 0 !important;
    border-radius: 8px;
    border: 1mm solid #acdf;
}

body {
    font-family: sans-serif;
    margin: 0 50px;
    background-color: #e5e5e5;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
  }

.modal-header{
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #010810;
}

.modal-body{
    position: relative;
    flex: 1 1 auto;
    padding: 1rem;
}

.modal-container {
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    pointer-events: none;
    background-color: rgba(0, 0, 0, 0);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 5;
    height: 100vh;
    width: 100vw;
}

.modal-container.show {
    opacity: 1.0;
    pointer-events: auto;
}

.modal {
   background-color:#fafafa;   
    width: 500px;
    max-width: 100%;
    padding: 10px 10px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.3);
}

#tasks {
    display: grid;
    grid-template-columns: 1fr;
    gap: 14px;
}

#tasks div {
    border: 3px solid #abcea1;
    background-color: #e2eede;
    border-radius: 6px;
    padding: 5px;
    display: grid;
    gap: 4px;
}

#taskBtn {
    padding: 0px 0px !important;
    border: 0 !important;
    align-items: center;
    margin-left: 50px;
    justify-content:space-evenly;
}

#editBtn {
    padding: 0 !important;
    border: 0 !important;
    background-color: #e2eede;
    cursor: pointer;
    width: 30px; 
}

#deleteBtn {
    padding: 0px !important;
    border: 0 !important;
    background-color: #e2eede;
    cursor: pointer;
    width: 30px;
}
